package de.uni.leipzig.informatik.pacosy.datastructure.api;

import java.util.Collection;

public interface ITree {

	public String getId();
	public void setId(String id);
	public ITreeNode getRoot();
	public void setRoot(INode node);
	public void setRoot(IEdge edge);
	public boolean isRooted();
	public void setRooted(boolean rooted);
	public ITreeNode getNode(String nodeId);
	public Collection<? extends ITreeNode> getNodes();
	public void setNodes(Collection<? extends INode> nodes);
	//public void addNode(INode node);
	public IEdge getEdge(String sourceId, String targetId);
	public Collection<? extends IEdge> getEdges();
	public void setEdges(Collection<? extends IEdge> edges);
	//public void addEdge(IEdge edge);
	public int getSize();
}
