package de.uni.leipzig.informatik.pacosy.nexus.command;

import java.util.ArrayList;
import java.util.List;

import de.uni.leipzig.informatik.pacosy.nexus.Token;


public class NexusCommand {

	protected String commandName;
	protected List<Token> tokens;
	
	public NexusCommand(){
		this.commandName = "";
		this.tokens = new ArrayList<Token>();
	}
	
	public NexusCommand(String commandName, List<Token> tokens) {
		this.commandName = commandName;
		this.tokens = tokens;
	}
	
	public NexusCommand(NexusCommand command){
		this.commandName = command.commandName;
		this.tokens = command.tokens;
	}

	public Object getData(){
		return getTokens();
	}
	
	public String getCommandName() {
		return commandName.toUpperCase();
	}

	public void setCommandName(String commandName) {
		this.commandName = commandName;
	}

	public List<Token> getTokens() {
		return this.tokens;
	}

	public void setTokenss(List<Token> tokens) {
		this.tokens = tokens;
	}

	@Override
	public String toString() {
		return commandName + ": " + getData();
	}
	
	
}
