package de.uni.leipzig.informatik.pacosy.nexus.command;


public class NexusEquationStyleCommand extends NexusCommand {

	private String leftHandSide;
	private String rightHandSide;
	
	public NexusEquationStyleCommand(NexusCommand command, String leftHandSide, String rightHandSide) {
		super(command);
		this.leftHandSide = leftHandSide;
		this.rightHandSide = rightHandSide;
	}
	
	@Override
	public Object getData() {
		return getLeftHandSide() + " = " + getRightHandSide();
	}
	
	public String getLeftHandSide() {
		return this.leftHandSide;
	}

	public String getRightHandSide() {
		return this.rightHandSide;
	}
}
